lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Message-ID: <8b927d46-f34f-4ae5-96df-835c40a6f574@gmail.com>
Date: Mon, 24 Feb 2025 10:20:49 +0530
From: "Nirjhar Roy (IBM)" <nirjhar.roy.lists@...il.com>
To: Dave Chinner <david@...morbit.com>
Cc: fstests@...r.kernel.org, linux-ext4@...r.kernel.org,
 linux-xfs@...r.kernel.org, ritesh.list@...il.com, ojaswin@...ux.ibm.com,
 djwong@...nel.org, zlang@...nel.org
Subject: Re: [PATCH v1 1/3] xfs/539: Skip noattr2 remount option on v5
 filesystems


On 2/13/25 02:31, Dave Chinner wrote:
> On Wed, Feb 12, 2025 at 12:39:56PM +0000, Nirjhar Roy (IBM) wrote:
>> This test is to verify that repeated warnings are not printed
>> for default options (attr2, noikeep) and warnings are
>> printed for non default options (noattr2, ikeep). Remount
>> with noattr2 fails on a v5 filesystem, so skip the mount option.
> Why do we care if remount succeeds or fails? That's not what the
> test is exercising.
>
> i.e. We are testing to see if the appropriate deprecation warning
> for a deprecated mount option has been issued or not, and that
> should happen regardless of whether the mount option is valid or not
> for the given filesysetm format....
>
> Hence I don't see any reason for changing the test to exclude
> noattr2 testing on v5 filesystems...

Yes, this makes sense. The test indeed just checks for the dmesg 
warnings, and they appear even if the remount fails. I wrote the patch 
because xfs/539 has started failing in one of our fstests CI runs 
because RHEL 10 has started disabling xfs v4 support i.e, 
CONFIG_XFS_SUPPORT_V4=n. Do you think modifying this patch in such a way 
that the test ignores the remount failures with noattr2 and continues 
the test is an appropriate idea (since the test xfs/539 only intends to 
check the dmesg warnings)? So something like:,

--- a/tests/xfs/539
+++ b/tests/xfs/539
@@ -61,7 +61,11 @@ for VAR in {attr2,noikeep}; do
  done
  for VAR in {noattr2,ikeep}; do
      log_tag
-    _scratch_remount $VAR
+    _scratch_remount $VAR >> $seqres.full 2>&1
+    if [[ "$VAR" == "noattr2" && "$?" != "0" ]]; then
+        echo "remount will fail in v5 filesystem but the warning should 
be printed" \
+            >> $seqres.full
+    fi
      check_dmesg_for_since_tag "XFS: $VAR mount option is deprecated" || \
          echo "Could not find deprecation warning for $VAR"

I also suggested something similar in one of my previous replies[1] in 
this patch series. Can you please let me know your thoughts on this?

[1] 
https://lore.kernel.org/all/90be3350-67e5-4dec-bc65-442762f5f856@gmail.com/

--NR

>
> -Dave.

-- 
Nirjhar Roy
Linux Kernel Developer
IBM, Bangalore


Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ